<div class="modal fade" id="postingAsModal" tabindex="-1" aria-labelledby="postingAsModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-custom-md">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="postingAsModalLabel">Posting as</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body" id='newJob'>
        <div class="modal-body">
          <%= form_for @post, remote: true, :html => { :id => "startPost" } do |f|%>
            <div class='row'>
							<div class='col-md-12'>
								<%= radio_button_tag 'posting_as', current_user.name, true, id: "user-#{current_user.id}", posting_as: 'user' %>
								<%= label_tag current_user.name, nil, for: "user-#{current_user.id}" %>
							</div>
						</div>
            <% @businesses.each do |business| %>
							<div class='row'>
								<div class='col-md-12'>
              		<%= radio_button_tag 'posting_as', business.name, false, id: "business-#{business.id}", posting_as: 'business', business_id: "#{business.id}" %>
              		<%= label_tag business.name, nil, for: "business-#{business.id}" %>
								</div>
						</div>	
            <% end %>
          <% end %>
        </div>
      </div>
      <div class="modal-footer start-a-post-buttons">
        <button type="button" class="btn btn-secondary post-as-back-btn">Back</button>
        <button type="button" class="btn btn-primary post-as-done-btn">Save</button>
      </div>
    </div>
  </div>
</div>

<script>
	$('.post-as-back-btn').on('click', function(){
		$('#postingAsModal').modal('hide')
		$('#startPostModal').modal('show')
	})

	$('.post-as-done-btn').on('click', function(){
		$('#postingAsModal').modal('hide')
		$('#startPostModal').modal('show')

		var selected = $('input[name="posting_as"]:checked')
		var selected_val = selected.val()
		$("#post-as-name").text(selected_val)

		var posting_as = selected.attr('posting_as')
		$('#posting-as').val(posting_as)

		if(posting_as == "business"){
			business_id = selected.attr('business_id')
			$('#post_business_id').val(business_id)
		}
	})
</script>